import {defineConfig} from "vitepress";

export const en = defineConfig({
    lang: 'en-US',

    themeConfig: {
        nav: [
            {text: 'User guide', link: '/docs/en/user_guide/client_docs'},
            {text: 'Server guide', link: '/docs/en/dev_guide/introduction'}
        ],

        sidebar: {
            '/docs/en/user_guide/': [
                {
                    text: 'Game user guide',
                    items: [
                        {
                            text: 'Installation',
                            items: [
                                {text: 'IOS', link: '/docs/en/user_guide/installation/ios'},
                                {text: 'Android', link: '/docs/en/user_guide/installation/android'},
                            ],
                        },
                        {text: '游戏内使用说明', link: '/docs/en/user_guide/client_docs'},
                        {text: 'WebUI使用说明', link: '/docs/en/user_guide/user_webui'},
                        {text: '游戏相关信息', link: '/docs/en/user_guide/game_info'},
                    ]
                }
            ],
            '/docs/en/dev_guide/': [
                {
                    text: '服务器指南',
                    items: [
                        {text: '介绍', link: '/docs/en/dev_guide/introduction'},
                        {
                            text: '安装',
                            items: [
                                {text: 'Windows', link: '/docs/en/dev_guide/installation/windows'},
                                {text: 'Linux', link: '/docs/en/dev_guide/installation/linux'},
                                {text: 'docker', link: '/docs/en/dev_guide/installation/docker'},
                            ],
                        },
                        {text: 'WebUI', link: '/docs/en/dev_guide/WebUI'},
                        {text: '游戏资源服务器配置', link: '/docs/en/dev_guide/assets_docs'},
                        {text: '环境变量和命令行参数', link: '/docs/en/dev_guide/variable-argument'},
                    ]
                }
            ]
        },
    }
});