import { defineConfig } from "vitepress";

export const zh = defineConfig({
    lang: 'zh-Hans',

    themeConfig: {
        nav: [
            { text: '用户指南', link: '/user_guide/installation/ios' },
            { text: '服务器指南', link: '/dev_guide/introduction' }
        ],

        sidebar: {
            'user_guide/': [
                {
                    text: '游戏用户指南',
                    items: [
                        {
                            text: '安装',
                            items: [
                                { text: 'IOS', link: '/user_guide/installation/ios' },
                                { text: 'Android', link: '/user_guide/installation/android' },
                            ],
                        },
                        { text: '游戏内使用说明', link: '/user_guide/client_docs' },
                        { text: 'WebUI使用说明', link: '/user_guide/user_webui' },
                        { text: '游戏相关信息', link: '/user_guide/game_info' },
                    ]
                }
            ],
            'dev_guide/': [
                {
                    text: '服务器指南',
                    items: [
                        { text: '介绍', link: '/dev_guide/introduction' },
                        {
                            text: '安装',
                            items: [
                                { text: 'Windows', link: '/dev_guide/installation/windows' },
                                { text: 'Linux', link: '/dev_guide/installation/linux' },
                                { text: 'docker', link: '/dev_guide/installation/docker' },
                            ],
                        },
                        { text: 'WebUI', link: '/dev_guide/WebUI' },
                        { text: '游戏资源服务器配置', link: '/dev_guide/assets_docs' },
                        { text: '环境变量和命令行参数', link: '/dev_guide/variable-argument' },
                    ]
                }
            ]
        },

        docFooter: {
            prev: '上一页',
            next: '下一页'
        },

        langMenuLabel: '多语言',
        returnToTopLabel: '回到顶部',
        sidebarMenuLabel: '菜单',
        darkModeSwitchLabel: '主题',
        lightModeSwitchTitle: '切换到浅色模式',
        darkModeSwitchTitle: '切换到深色模式',
        skipToContentLabel: '跳转到内容'
    }
});