---
outline: deep
---
# 游戏内使用说明 {#game-use}

### 下载资源包时发生异常  {#assets-error}
![资源异常](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/assets_error.png)
因为Assets URL是国外CDN，中国大陆地区的访问链接不是很好 
- 有条件的话，可以通过科学上网的方式 
- 使用[本地搭建资源服务器](../dev_guide/assets_docs.md)的方式
::: danger 警告
方法2中，由于游戏内资源是动态加载的，所以切歌等一系列操作如果在非本地环境下仍然会出现此问题
:::

### 查看Sif2 ID {#sif2-id}
1. 在游戏主界面，点击右上角的菜单。
    ![主界面](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/1.png)
2. 点击 **プロフィール** 。
    ![菜单界面](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/2.png)
3. 页面下方的即为Sif2 ID。
    ![profile](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/3.png)


### 设置数据迁移密钥 {#key}

1. 在游戏主界面，点击右上角的菜单。
![主界面](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/1.png)
2. 点击 **データ引き継ぎ** 。
![菜单](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/4.png)
3. 点击 **データ引き継ぎ** 。
![データ引き継ぎ](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/5.png)
4. 上面的 **引き継ぎID** 为数据迁移ID，下面的 **パスワード** 即为需要设置的数据迁移密钥。
![引き継ぎID](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/6.png)
5. 点击 **次へ** 确定。

### 迁移数据 {#migration}

#### 同一服务器不同设备迁移数据 {#same-server}

1. 确保不同设备使用的服务器为同一服务器。
2. 打开游戏，点击右上角的菜单。
![待机界面](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/13.png)
3. 点击 **データ引き継ぎ** 。
![菜单](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/14.png)
4. 点击 **データ引き継ぎ** 。
![データ引き継ぎ](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/15.png)
5. 在上面的 **引き継ぎID** 输入数据迁移ID，在下面的 **パスワード** 输入数据迁移密钥。
![引き継ぎID](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/16.png)
6. 点击 **次へ** 确定。

#### 跨服迁移数据 {#different-server}
跨服迁移数据需要原服务器开启导出用户数据，目标服务器开启导入用户数据。具体操作如下：
[跨服迁移数据](./user_webui#different-server)

### 游戏数据清除
::: danger 警告
以下操作会使游戏数据初始化，会使游戏账号丢失。请谨慎操作。
:::
1. 打开游戏，点击右上角的菜单。
![待机界面](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/13.png)
2. 点击 **ゲームデータ削除**。
![菜单](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/25.png)
3. 点击 **OK**。
![ゲームデータ削除](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/26.png)

### 获得Loveca、金币等道具的方式 {#gift}

1. 在游戏主界面，点击右上角的菜单。
![主界面](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/1.png)
2. 点击 **シリアルコード** 。
![菜单](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/7.png)
3. 点击 **シリアルコード入力** 。
![シリアルコード](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/8.png)
4. 输入兑换码点击OK即可兑换。
![シリアルコード入力](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/9.png)
::: tip 注意
兑换码格式为兑换码种类+数量，例如：

coins5000：表示兑换5000金币。
:::
::: danger 注意
输入任何兑换码后，兑换完成显示的图标均为金币图标。
:::

#### 兑换码详情 {#gift-info}
- coins：金币。
- gems：Loveca。
- training：课程笔记（大）和技能书（大）。
- UR：活动UR。
- PT：招募pt。

