---
outline: deep
---
# WebUI

本节对服务器的WebUI进行介绍。

## 启用和禁用WebUI

如需禁用WebUI，请在服务器启动时添加如下参数:

- Windows在命令行启动时使用`--hidden`，如下所示：
```
ew.exe --port 8080 --path ./data/ --hidden
```
- Linux在命令行启动时使用`--hidden`，如下所示：
```
ew --port 8080 --path ./data/ --hidden
```

- Docker在启动时将`HIDDEN`环境变量设置为`true`，如下所示：
```
docker run -d \
    --name sif2 \
    -p 8080:8080 \
    -p 8000:8000 \
    -e HIDDEN=true \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2:1.0.1
```

## WebUI的使用

WebUI的使用可以参照[WebUI使用说明](../user_guide/user_webui#WebUI-operation)

### 端口号
WebUI的默认端口号为`8080`。

如需更改其端口号，请在服务器启动时使用如下参数。

- Windows在命令行启动时使用`--port <PORT>`，如将端口号改为`12345`，如下所示：
```
ew.exe --port 12345 --path ./data/
```
- Linux在命令行启动时使用`--port <PORT>`，如将端口号改为`12345`，如下所示：
```
ew --port 12345 --path ./data/ 
```

- Docker在启动时将端口映射修改为所需端口号，如将端口号改为`12345`，如下所示：
```
docker run \
    --name sif2 \
    -p 12345:8080 \
    -p 8000:8000 \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2
```

### 导入数据
如需禁用导入数据，请在服务器启动时添加如下参数:

- Windows在命令行启动时使用`--disable-imports`，如下所示：
```
ew.exe --port 8080 --path ./data/ --disable-imports
```
- Linux在命令行启动时使用`--disable-imports`，如下所示：
```
ew --port 8080 --path ./data/ --disable-imports
```

- Docker在启动时将`DISABLE_IMPORTS`环境变量设置为`true`，如下所示：
```
docker run -d \
    --name sif2 \
    -p 8080:8080 \
    -p 8000:8000 \
    -e DISABLE_IMPORTS=true \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2
```

### 导出数据
如需禁用导出数据，请在服务器启动时添加如下参数:

- Windows在命令行启动时使用`--disable-exports`，如下所示：
```
ew.exe --port 8080 --path ./data/ --disable-exports
```
- Linux在命令行启动时使用`--disable-exports`，如下所示：
```
ew --port 8080 --path ./data/ --disable-exports
```

- Docker在启动时将`DISABLE_EXPORTS`环境变量设置为`true`，如下所示：
```
docker run -d \
    --name sif2 \
    -p 8080:8080 \
    -p 8000:8000 \
    -e DISABLE_EXPORTS=true \
    -v ./data:/data \
    -v ./asset:/asset \
    zhushenwudi/lovelive-sif2
```

### 帮助页面
帮助页面如下图所示:

![帮助页面](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/webui_help.jpeg)

帮助页面包括服务器的相关介绍和应用的下载和相关配置。

::: tip 参考
1. 使用命令行参数`--global-android <GLOBAL_ANDROID>`、`--japan-android <JAPAN_ANDROID>`、`--global-ios <GLOBAL_IOS>`、`--japan-ios <JAPAN_IOS>`或环境变量`ANDROID_GLOABL`、`ANDROID_JAPAN`、`IOS_GLOBAL`、`IOS_JAPAN`设置帮助界面中的应用下载地址。
2. 使用命令行参数`--assets-url <ASSETS_URL>`或环境变量`ASSET_URL`设置帮助页面中显示的“Assets URL”。
![帮助页面注意事项](https://llmp-oss.oss-cn-hongkong.aliyuncs.com/img/sif2-blog/webui_help_info.png)
3. 如何获取预打补丁的apk安装包和ios安装包，请参考
- [Android安装教程](../user_guide/installation/android)
- [iOS安装教程](../user_guide/installation/ios)
:::